'use strict';

var classNames = require('classnames');
var React = require('react');

var ConfigFieldPassword = React.createClass({
  displayName: 'ConfigFieldPassword',

  handleOnChange: function handleOnChange(ev) {
    if (this.props.handleChange) {
      this.props.handleChange(this.props.name, ev.target.value);
    }
  },

  render: function render() {
    var inputClasses = classNames('form-control', {
      'readonly': this.props.readOnly
    });

    return React.createElement(
      'div',
      { className: 'field field-type-password' },
      React.createElement(
        'label',
        null,
        this.props.title
      ),
      React.createElement(
        'div',
        { className: 'input input-type-password' },
        React.createElement('input', {
          type: 'password',
          name: this.props.name,
          placeholder: this.props['default'],
          value: this.props.value,
          readOnly: this.props.readOnly,
          onChange: this.handleOnChange,
          className: inputClasses })
      )
    );
  }
});

module.exports = ConfigFieldPassword;
//# sourceMappingURL=ConfigFieldPassword.js.map
